Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## griffon.core
[Java] Interface LifecycleHandler

    griffon.core.ApplicationHandler
      griffon.core.LifecycleHandler
          griffon.core.ThreadingHandler

All Superinterfaces:
  ApplicationHandler, ThreadingHandler

    public interface LifecycleHandler
    extends ApplicationHandler, Runnable, ThreadingHandler

Defines the contract of an application lifecycle handling class.

Authors:
  Andres Almiray

Since:
  0.9.3

Method Summary

Methods inherited from interface Runnable
run

Methods inherited from interface ApplicationHandler
getApp

Methods inherited from interface ThreadingHandler
execAsync, execFuture, execFuture, execFuture, execFuture, execInsideUIAsync, execInsideUISync, execOutside, execOutsideUI, execSync, isUIThread

Groovy Documentation